package de.ugoe.cs.swe.exercises.lectureevent;

import org.eclipse.jface.viewers.IStructuredContentProvider;
import org.eclipse.jface.viewers.Viewer;

public class LectureEventContentProvider implements IStructuredContentProvider {

	LectureEvent lectureEvent = new LectureEvent();
	//ArrayList<LectureEvent> lectureEvents = LectureEvent.all();

	public void inputChanged(Viewer v, Object oldInput, Object newInput) {
	}

	public void dispose() {
	}

	@SuppressWarnings("static-access")
	public Object[] getElements(Object parent) {
		return lectureEvent.all().toArray();
	}

	//public ArrayList<LectureEvent> getList() {
	//	return lectureEvent;
	//}
}
